@import '../../../styles/mixins';
@import '../../../styles/props';

:host {
  @include flex(center, center);
}

// spinner
.app-spinner {
  @include border($spinner-border);
  @include borderTop($spinner-border-top);
  @include ball($spinner-size);
  animation: spin $spinner-rotate-duration infinite linear;
}

@keyframes spin {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}
